﻿@model List<eCommerce.Services.Model.BankInterest>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Nombre</th>
            <th>Banco</th>
            <th class="text-center">Cuotas</th>
            <th class="text-center">Monto Mínimo</th>
            <th class="text-center">Recargo</th>
            <th class="text-center">Orden</th>
            <th class="text-center">Vigente</th>
            <th class="text-center">Activo</th>
            <th class="text-center">Tienda</th>
            <th class="col-xs-2 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@item.Name</td>
            <td>@item.Bank.Name</td>
            <td class="text-center">@item.Installments</td>
            <td class="text-center">@item.MinimumAmount</td>
            <td class="text-center">@item.Percent%</td>            
            <td class="text-center">@(item.DisplayOrder.HasValue ? item.DisplayOrder.Value.ToString() : string.Empty)</td>
            <td class="text-center">
                @if (item.FromDate < DateTime.Now && item.ToDate > DateTime.Now)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="text-center">
                @if (item.Active)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="text-center">
                @if (item.StoreType != (int)StoreTypeEnum.NotPublished)
                {
                    switch (item.StoreType)
                    {
                        case ((int)StoreTypeEnum.WholeSalerOnly):
                            {
                                <span class="label label-outline label-success">Mayorista</span>
                            }
                            break;

                        case ((int)StoreTypeEnum.RetailerOnly):
                            {
                                <span class="label label-outline label-success">Minorista</span>
                            }
                            break;

                        case ((int)StoreTypeEnum.PublishedForAll):
                            {
                                <span class="label label-outline label-success">Mayorista y minorista</span>
                            }
                            break;
                        default:
                            break;
                    }
                }
                else
                {
                    <span class="label label-outline label-danger">No publicado</span>
                }
            </td>
            <td class="actions text-center">
                <a href="/BankInterest/BankInterestUpdate/@item.BankInterestId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.BankInterestId" onclick="fDeleteDialog(@item.BankInterestId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
